curl --request POST \
--url https://api.siftstack.com/api/v1/panel-configurations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"panelType": "PANEL_TYPE_UNSPECIFIED",
"channelConfigurations": [
{
"name": "<string>",
"type": "PLOTTED_CHANNEL_TYPE_UNSPECIFIED",
"color": "<string>",
"channelSettings": {},
"bitFieldIndex": 123,
"expression": "<string>",
"expressionChannelReferences": [
"<string>"
]
}
],
"chartSettings": {}
}
'{
"panelConfiguration": {
"panelConfigurationId": "<string>",
"versionId": "<string>",
"version": 123,
"changeMessage": "<string>",
"name": "<string>",
"panelType": "PANEL_TYPE_UNSPECIFIED",
"channelConfigurations": [
{
"name": "<string>",
"type": "PLOTTED_CHANNEL_TYPE_UNSPECIFIED",
"color": "<string>",
"channelSettings": {},
"bitFieldIndex": 123,
"bitFieldElement": {
"name": "<string>",
"index": 123,
"bitCount": 123
},
"expression": "<string>",
"expressionChannelReferences": [
"<string>"
]
}
],
"chartSettings": {},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>"
}
}Creates a panel configuration.
curl --request POST \
--url https://api.siftstack.com/api/v1/panel-configurations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"panelType": "PANEL_TYPE_UNSPECIFIED",
"channelConfigurations": [
{
"name": "<string>",
"type": "PLOTTED_CHANNEL_TYPE_UNSPECIFIED",
"color": "<string>",
"channelSettings": {},
"bitFieldIndex": 123,
"expression": "<string>",
"expressionChannelReferences": [
"<string>"
]
}
],
"chartSettings": {}
}
'{
"panelConfiguration": {
"panelConfigurationId": "<string>",
"versionId": "<string>",
"version": 123,
"changeMessage": "<string>",
"name": "<string>",
"panelType": "PANEL_TYPE_UNSPECIFIED",
"channelConfigurations": [
{
"name": "<string>",
"type": "PLOTTED_CHANNEL_TYPE_UNSPECIFIED",
"color": "<string>",
"channelSettings": {},
"bitFieldIndex": 123,
"bitFieldElement": {
"name": "<string>",
"index": 123,
"bitCount": 123
},
"expression": "<string>",
"expressionChannelReferences": [
"<string>"
]
}
],
"chartSettings": {},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
PANEL_TYPE_UNSPECIFIED, PANEL_TYPE_TIMESERIES, PANEL_TYPE_TABLE, PANEL_TYPE_FFT, PANEL_TYPE_GEO_MAP, PANEL_TYPE_SCATTER_PLOT, PANEL_TYPE_FILE_VIEWER, PANEL_TYPE_HISTOGRAM Show child attributes
A successful response.
Show child attributes
Was this page helpful?